aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-translationstring/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-29 07:07:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-30 08:23:16 +0000
commit23ff155fff2ece9c030e7b46d2625bbce569b38c (patch)
tree88ecbdaf1f2e3449fdca77db47d4f74ab4e7bb07 /testing/py-translationstring/APKBUILD
parentd2a31ac16f667be9094a0c63f1723d4102b507bf (diff)
downloadaports-23ff155fff2ece9c030e7b46d2625bbce569b38c.tar.gz
aports-23ff155fff2ece9c030e7b46d2625bbce569b38c.tar.bz2
aports-23ff155fff2ece9c030e7b46d2625bbce569b38c.tar.xz
testing/py-translationstring: new aport
A Python utility library for i18n http://docs.pylonsproject.org/projects/translationstring/dev/
Diffstat (limited to 'testing/py-translationstring/APKBUILD')
-rw-r--r--testing/py-translationstring/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-translationstring/APKBUILD b/testing/py-translationstring/APKBUILD
new file mode 100644
index 0000000000..43095b0c01
--- /dev/null
+++ b/testing/py-translationstring/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-translationstring
+_pkgname=translationstring
+pkgver=1.1
+pkgrel=0
+pkgdesc="A Python utility library for i18n"
+url="http://docs.pylonsproject.org/projects/translationstring/dev/"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="0979b46d8f0f852810c8ec4be5c26cf2 translationstring-1.1.tar.gz"
+sha256sums="8147c47e8091bc7b8168758a01c049581959faba9d56cafde8734de44e98711c translationstring-1.1.tar.gz"
+sha512sums="76c8ef9bd745e6b52b6f383d277d94706dab5d6419543048d2138fb779cdfb19a7ce6452e99bbaad983c961233155690849dfda57db10a87d11240990e9adfd8 translationstring-1.1.tar.gz"